<template>
    <div>
        <b-field label="Label">
            <b-input v-model="fieldProps.label"></b-input>
        </b-field>
        <button class="button" @click.prevent="onCancelClick">Done</button>
    </div>
</template>

<script>
    import {mapActions, mapGetters} from 'vuex'

    export default {
        data() {
            return {
                fieldProps: {}
            }
        },
        created() {
            this.fieldProps = this.allItems[this.currentItem];
        },
        computed: {
            ...mapGetters(['currentItem', 'allItems']),
        },
        methods: {
            ...mapActions(['editItem']),
            onCancelClick() {
                this.editItem(null);
            },
        },
    }
</script>